Packages - Bug #2373

i686 [evince] broken libsynctex dependency
2019-07-12 09:58 PM - isacdaavid

Status: confirmed % Done: 0%
Priority: broken

Assignee: freemor

Category:

Description

evince for i686 is on an older version (3.30.2-1.0), which expects to use libsynctex.so.1. however, current versions of libre/libsynctex
only provide libsynctex.so.2.

the program won't even start without libsynctex.so.1

History

#1 - 2019-07-12 10:27 PM - bill-auger
- Priority changed from bug to broken
- Assignee set to freemor

- Status changed from unconfirmed to confirmed

#2 - 2019-07-13 01:23 AM - freemor

libsynctex is part of the texlive-bin package.

that was rebuilt on 06-25-2019 , It mostlikely broke envice at that point

As there is a poppler update in the pipes on i686 texlive-bin and libsynctex (split package)
will have to be rebuilt at that time.

I'll keep an eye on this. If it is still an issue after the new poppler we may have to special case i686's
texlive-bin build to be a version or two behind

for now you can:
sudo In -s /ust/lib/libsynctex.so.2 /usr/lib/libsynctex.so.1

that will allow evince to work for the time being
